Subject: Re: bug#67452: 30.0.50; [PATCH] Make split-root-window functions handle argument

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Dec 2023 09:43:07 +0200

> Cc: [email-masked]
> Date: Mon, 25 Dec 2023 15:00:49 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Juri Linkov <[email-masked]>
> > Date: Sun, 24 Dec 2023 19:41:37 +0200
> > 
> > > Thanks, I've now installed the change on the emacs-29 branch, using
> > > the "p" interactive spec, and I'm closing this bug.
> > 
> > The commit cd477bf07d8 broke normal use of split-root-window commands
> > without arguments:
> > 
> > 0. emacs-29 -Q
> > 1. C-x 2
> > 2. C-x w 3
> > 
> > Debugger entered--Lisp error: (error "Window #<window 7> too small for splitting")
> >   error("Window %s too small for splitting" #<window 7>)
> >   split-window(#<window 7> 1 t)
> >   split-window-right(1 #<window 7>)
> >   split-root-window-right(1)
> >   funcall-interactively(split-root-window-right 1)
> >   command-execute(split-root-window-right)
> > 
> > because the "p" interactive spec uses SIZE=1.
> 
> Thanks, should be fixed now on the emacs-29 branch.

No further comments, so I presume the bug was fixed, and I'm closing
it.